Subject: [AAA-WG]: Possible to do handover with HA in foreign network and multiple AAAH in realm?

From: "Fredrik Johansson" <[email-masked]>
Date: Mon, 8 Oct 2001 14:41:22 +0200

The scenario is as follows:

The mobile node authenticates with AAAH1 via FA1 and is allocated a home
agent in the foreign network. The MN then moves to FA2 and passes it the
HA-address. FA2 sends an AMR that is handled by AAAH2 serving the same
realm as AAAH1. Neither FA2 nor AAAH2 has any knowledge of the existing
session beyond that of the MIP-Mobile-Home-Agent avp.

Note that this is the ip address of the interface that the home agent
uses to tunnel Mobile Ip traffic. There is no reason to expect this to
be the same interface used for diameter traffic, in fact this is even
unlikely. Since the mobile node has no knowledge of anything but Mobile
Ip it cannot be expected to pass the diameter uri of the HA.

Is this problem even solvable? If the HA were in a home network you
could potentially use configured knowledge to map from ip to uri. If not
the only reasonable response seems to be to reject the authentication
due to lack of information.

j